backend:
  name: git-gateway
  branch: master

media_folder: 'public/assets/'
public_folder: '/assets'

collections:
  - name: 'home'
    label: 'Home Page'
    folder: 'src/'
    slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
    fields:
      - { label: 'Site Title', name: 'title', widget: 'string' }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - label: 'Section - hero '
        name: 'hero'
        widget: 'object'
        fields:
          - { label: 'Hero Heading', name: 'header', widget: 'string' }
          - { label: 'Sub Header', name: 'subhead', widget: 'string' }
          - { label: 'Hero Text', name: 'text', widget: 'text' }
          - { label: 'Button 1 Text', name: 'button1', widget: 'string' }
          - { label: 'Button 1 Link', name: 'link1', widget: 'string' }
          - { label: 'Button 2 Text', name: 'button2', widget: 'string' }
          - { label: 'Button 2 Link', name: 'link2', widget: 'string' }

      - label: 'Section - Icon Cards'
        name: 'bullet'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'string' }
          - label: 'Edit Icon Card'
            name: 'list'
            widget: 'list'
            fields:
              - { label: 'Heading', name: 'header', widget: 'string' }
              - { label: 'Icon', name: 'icon', widget: 'string' }
              - { label: 'Text', name: 'text', widget: 'string' }

      - label: 'Section - About Us'
        name: 'bio'
        widget: 'object'
        fields:
          - { label: 'Bio Text', name: 'header', widget: 'string' }
          - { label: 'Paragraph 1', name: 'para1', widget: 'text' }
          - { label: 'Paragraph 2', name: 'para2', widget: 'text' }
          - { label: 'Image 1', name: 'image', widget: 'image' }
          - { label: 'Image 1 Alt', name: 'alt', widget: 'string' }
          - { label: 'Image 2', name: 'image2', widget: 'image' }
          - { label: 'Image 2 Alt', name: 'alt2', widget: 'string' }
          # - { label: 'Bullet Point', name: 'check1', widget: 'string' }
          # - { label: 'Bullet Point', name: 'check2', widget: 'string' }
          # - { label: 'Bullet Point', name: 'check3', widget: 'string' }
          # - { label: 'Bullet Point', name: 'check4', widget: 'string' }
     
      
      # - label: 'Affiliate Logos'
      #   name: 'logos'
      #   widget: 'list'
      #   fields:
      #     - { label: 'Image Alt Text for Accessability', name: 'alt', widget: 'string' }
      #     - { label: 'Logo Image', name: 'image', widget: 'image' }
      
      - label: 'Section - Image with Text'
        name: 'panel'
        widget: 'object'
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'subHead', widget: 'Text' }
          - { label: 'Image', name: 'image', widget: 'image' }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
          - label: 'Check List'
            name: 'info'
            widget: 'list'
            fields:
              - { label: 'Heading', name: 'header', widget: 'string' }
              - { label: 'Text', name: 'text', widget: 'string' }

      
      - label: 'Section - Call to Action Panel'
        name: 'test'
        widget: 'object'
        fields:
          - { label: 'Quote heading', name: 'header', widget: 'text' }
          - { label: 'Quote Name', name: 'text', widget: 'text' }
          - { label: 'Image', name: 'image', widget: 'image' }
      
      - label: 'Review/Testimonial'
        name: 'testimonials'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }
          - label: 'Reviews'
            name: 'list'
            widget: 'list'
            fields:  
              - { label: 'Review Name', name: 'name', widget: 'text' }
              - { label: 'Review Heading', name: 'header', widget: 'string' }
              - { label: 'Review', name: 'description', widget: 'text' }
              - { label: 'Review Source', name: 'company', widget: 'string', required: false }
              
      # - label: 'Section - FAQ'
      #   name: 'faq'
      #   widget: 'object'
      #   fields:
      #     - { label: 'Header', name: 'header', widget: 'string' }
      #     - { label: 'Image', name: 'image', widget: 'image' }
      #     - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
      #     - label: 'FAQs'
      #       name: 'list'
      #       widget: 'list'
      #       fields:
      #         - { label: 'Question', name: 'question', widget: 'string' }
      #         - { label: 'Answer', name: 'answer', widget: 'text'}

      # - label: 'Section - Call to Action Panel'
      #   name: 'cta'
      #   widget: 'object'
      #   fields:
      #     - { label: 'Heading', name: 'header', widget: 'string' }
      #     - { label: 'Text', name: 'text', widget: 'text' }

     
      
      - label: 'Section - Map'
        name: 'map'
        widget: 'object'
        fields:
          - { label: 'Heading', name: 'header', widget: 'string' }
          - { label: 'Text', name: 'text', widget: 'text' }


      # - label: 'Section - Contact Panel'
      #   name: 'contact'
      #   widget: 'object'
      #   fields:
      #     - { label: 'Header', name: 'header', widget: 'string' }
      #     - { label: 'Text', name: 'text', widget: 'text' }
 


  - name: 'about-page'
    label: 'About Page'
    folder: 'src/about'
    fields:
      - { label: 'Page Title', name: 'title', widget: 'string' }
      - { label: "Header", name: "h1", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body Text", name: "body", widget: "markdown"}

      # - label: 'Team Members'
      #   name: 'team'
      #   widget: 'list'
      #   fields:
      #     - { label: 'Header', name: 'name', widget: 'string' }
      #     - { label: 'Featured Image', name: 'image', widget: 'image' }
      #     - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
      #     - { label: 'Biography', name: 'text', widget: 'text' }
      #     - { label: 'Title Position', name: 'position', widget: 'string' }


  - name: 'services'
    label: 'Service Pages'
    folder: 'src/services'
    create: true
    fields:
      - { label: "Header", name: "h1", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Featured Image", name: "image", widget: "image" }
      - { label: "Featured Image Alt Text", name: "alt", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown"}

  # - name: "projects"
  #   label: "Projects"
  #   folder: "src/projects"
  #   create: true
  #   fields:
  #     - { label: "Header H1", name: "h1", widget: "string" }
  #     - { label: "Description", name: "description", widget: "string" }
  #     - { label: "Featured Image", name: "image", widget: "image" }
  #     - label: 'Image Gallery'
  #       name: 'gallery'
  #       widget: 'list'
  #       fields:
  #         - { label: 'Image Alt Text for SEO', name: 'name', widget: 'string' }
  #         - { label: 'Activity Image', name: 'image', widget: 'image' }
  #     - { label: "Body", name: "body", widget: "markdown"}

  # - name: "gallery"
  #   label: "Gallery Page"
  #   folder: "src/gallery"
  #   fields:
  #     - { label: "header", name: "h1", widget: "string" }
  #     - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
  #     - { label: "Body", name: "body", widget: "markdown"}
  #     - label: 'Image Gallery'
  #       name: 'gallery'
  #       widget: 'list'
  #       fields:  
  #         - { label: 'Image Description', name: 'text', widget: 'string' }
  #         - { label: 'Activity Image', name: 'image', widget: 'image' }

  - name: "blog"
    label: "Blog"
    folder: "src/blog"
    create: true
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: "Header", name: "h1", widget: "string" }
      - label: 'Breadcrumb'
        name: 'eleventyNavigation'
        widget: object
        fields:
          - { label: 'Breadcrumb Title', name: 'key', widget: 'string', required: true }
          - { label: 'Parent Page (Value = Blog)', name: 'parent', widget: 'string', default: 'Blog', required: true }
      - { label: "Post Date", name: "date", widget: "datetime", default: "" }
      - { label: "Blog Description", name: "description", widget: "text" }
      - { label: "Featured Image", name: "image", widget: "image" }
      - { label: "Featured Image Alt Text", name: "alt", widget: "string" }
      - { label: "Author", name: "author", widget: "string" }
      - { label: "Read time", name: "readtime", widget: "string" }
      - { label: "Body", name: "body", widget: "markdown"}
  
  - name: 'partners'
    label: 'Partners Page'
    folder: 'src/partners'
    fields:
      - { label: 'Page Title', name: 'title', widget: 'string' }
      - { label: "Header", name: "h1", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body Text", name: "body", widget: "markdown"}
      - label: 'Partners List'
        name: 'list'
        widget: 'list'
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Resource Image', name: 'image', widget: 'image' }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
          - { label: 'Partners Description', name: 'text', widget: 'text' }
          - { label: 'Partners Link', name: 'link', widget: 'string' }
          - { label: 'Partners Link Text', name: 'name', widget: 'string' }

  - name: 'resources'
    label: 'Resources Page'
    folder: 'src/resourcespage'
    fields:
      - { label: 'Page Title', name: 'title', widget: 'string' }
      - { label: "Header", name: "h1", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body Text", name: "body", widget: "markdown"}
      - label: 'Resource List'
        name: 'list'
        widget: 'list'
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Resource Image', name: 'image', widget: 'image' }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
          - { label: 'Resource Description', name: 'text', widget: 'text' }
          - { label: 'Resource Link', name: 'link', widget: 'string' }
          - { label: 'Resource Link Text', name: 'name', widget: 'string' }

  - name: 'store'
    label: 'Online Store Page'
    folder: 'src/store'
    fields:
      - { label: 'Page Title', name: 'title', widget: 'string' }
      - { label: "Header", name: "h1", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body Text", name: "body", widget: "markdown"}
      - label: 'Product List'
        name: 'list'
        widget: 'list'
        fields:
          - { label: 'Header', name: 'header', widget: 'string' }
          - { label: 'Resource Image', name: 'image', widget: 'image' }
          - { label: 'Image Alt Text', name: 'alt', widget: 'string' }
          - { label: 'Product Description', name: 'text', widget: 'text' }
          - { label: 'Product Link', name: 'link', widget: 'string' }
          - { label: 'Author', name: 'author', widget: 'string' }
          - { label: 'Price', name: 'price', widget: 'string' }
          - { label: 'Category', name: 'category', widget: 'string' }

  - name: "contact"
    label: "Contact Page"
    folder: "src/contact"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body", name: "body", widget: "markdown"}  

  - name: "pages"
    label: "Other Pages, Privacy Policy etc"
    folder: "src/pages"
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    fields:
      - { label: "Title - 150 Chars", name: "title", widget: "string" }
      - { label: "Page Header", name: "h1", widget: "string" }
      - { label: "Description for SEO 170 chars", name: "description", widget: "text" }
      - { label: "Body", name: "body", widget: "markdown"} 

  - name: 'policy-documents'
    label: 'Policy Docs Page'
    folder: 'src/policy-documents'
    fields:
      - { label: "Title", name: "title", widget: "string" }
      - { label: 'SEO Description 170 chars', name: 'description', widget: 'text' }
      - { label: "Body", name: "body", widget: "markdown"}
      - label: 'Documents'
        name: 'docs'
        widget: 'list'
        fields:
          - { label: 'Name', name: 'name', widget: 'string' }
          - { label: 'File', name: 'link', widget: 'file', required: false }  
  
  - name: 'settings'
    label: 'Site Settings'
    delete: false # Prevent users from deleting documents in this collection
    editor:
      preview: false
    files:
      - name: 'general'
        label: 'Site Settings'
        file: 'src/_data/settings.json'
        description: 'General Site Settings'
        fields:
          - { label: 'Site title', name: 'name', widget: 'string' }
          - { label: 'Site Web Address', name: 'domain', widget: 'string' }
          - { label: 'Site tag line', name: 'tagline', widget: 'string' }
          - { label: 'Site Description SEO', name: 'description', widget: 'string' }
          # - { label: 'Logo', name: 'logo', widget: 'image' }
          # - { label: 'Footer Logo', name: 'footer_logo', widget: 'image' }
          - { label: 'Phone Number', name: 'phone', widget: 'string' }
          - { label: 'Email Address', name: 'email', widget: 'string' }
          - { label: 'Address Line 1', name: 'address1', widget: 'string' }
          - { label: 'Address Line 2', name: 'address2', widget: 'string' }
          - { label: 'Address Line 3', name: 'address3', widget: 'string' }
          - { label: 'Facebook Link', name: 'facebook', widget: 'string' }
          - { label: 'twitter Link', name: 'twitter', widget: 'string' }
          - { label: 'Linkedin Link', name: 'linkedin', widget: 'string' }
          

  - name: 'memberships'
    label: 'Site Partner/Memberships logos'
    delete: false # Prevent users from deleting documents in this collection
    editor:
      preview: false
    files:
      - name: 'memberships'
        label: 'Membership Logos'
        file: 'src/_data/memberships.json'
        description: 'General Site Settings'
        create: true
        fields:
          - label: 'Memberships List'
            name: 'list'
            widget: 'list'
            create: true
            fields:
              - { label: 'Image Alt', name: 'alt', widget: 'string' }
              - { label: 'Resource Image', name: 'image', widget: 'image' }
      - name: 'partnerships'
        label: 'Partners Logos'
        file: 'src/_data/partners.json'
        description: 'Partners logo Settings'
        create: true
        fields:
          - label: 'Partners List'
            name: 'list'
            widget: 'list'
            create: true
            fields:
              - { label: 'Image Alt', name: 'alt', widget: 'string' }
              - { label: 'Resource Image', name: 'image', widget: 'image' }

  
  # - name: 'partners'
  #   label: 'Site Partners'
  #   delete: false # Prevent users from deleting documents in this collection
  #   editor:
  #     preview: false
  #   files:
  #     - name: 'partners'
  #       label: 'Partners Logos'
  #       file: 'src/_data/partners.json'
  #       description: 'Partners logo Settings'
  #       create: true
  #       fields:
  #         - label: 'Partners List'
  #           name: 'list'
  #           widget: 'list'
  #           create: true
  #           fields:
  #             - { label: 'Resource Image', name: 'image', widget: 'image' }
  #             - { label: 'Image Alt', name: 'alt', widget: 'string' }


      # - { label: 'File', name: 'file', widget: 'file', required: false }

      # - label: 'Section 4 - Join TGBN Panel'
      #   name: 'infoPanel'
      #   widget: 'object'
      #   fields:
      #     - { label: 'Header', name: 'infoPanelTitle', widget: 'string' }
      #     - { label: 'Panel Image', name: 'infoPanelImage', widget: 'image' }
      #     - { label: 'Panel Text', name: 'infoPanelSubText', widget: 'text' }
      #     - label: 'info Panel List'
      #       name: 'info'
      #       widget: 'list'
      #       fields:
      #         - { label: 'List Item', name: 'text', widget: 'string' }

  # - name: members
  #   label: 'Members Page'
  #   folder: 'src/members'
  #   create: true
  #   slug: '{{year}}-{{month}}-{{day}}-{{slug}}'
  #   fields:
  #     - { label: 'Page Title', name: 'title', widget: 'string' }
  #     - { label: 'Company name', name: 'companyName', widget: 'string' }
  #     - { label: 'Company Logo/Image', name: 'image', widget: 'image' }
  #     - { label: 'Company location', name: 'location', widget: 'string' }
  #     - { label: 'Sector', name: 'service', widget: 'string' }
      # - { label: 'Featured Image Alt Text', name: 'imageAlt', widget: 'string', required: false }
      # - { label: 'Banner Image ( Not Required )', name: 'banner', widget: 'image', required: false}
      # - { label: 'website', name: 'website', widget: 'string' }
      # - { label: 'Body', name: 'body', widget: 'markdown'}

  # - name: "events"
  #   label: "Events Page"
  #   folder: "src/blog"
  #   create: true
  #   slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Post Date", name: "date", widget: "datetime", default: "" }
  #     - { label: "Blog Description", name: "description", widget: "text" }
  #     - { label: "Blog Featured Image", name: "image", widget: "image" }
  #     - { label: "Body", name: "body", widget: "markdown"}

  # - name: join
  #   label: Join Us Page
  #   folder: 'src/join'
  #   slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Header", name: "header", widget: "string" }
  #     - { label: "Body", name: "body", widget: "markdown"}
  #     - { label: 'File', name: 'file', widget: 'file', required: false }

  # - name: 'resources'
  #   label: 'Resources Page'
  #   folder: 'src/resourcespage'
  #   slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
  #   fields:
  #     - { label: "Title", name: "title", widget: "string" }
  #     - { label: "Header", name: "header", widget: "string" }
  #     - { label: "Body", name: "body", widget: "markdown"}


      
      
